package me.unurled.sacredrealms.sr.commands;

import me.unurled.sacredrealms.sr.SR;
import me.unurled.sacredrealms.sr.commands.admin.AttributeCommand;
import me.unurled.sacredrealms.sr.commands.player.ResetAdventureCommand;
import me.unurled.sacredrealms.sr.managers.Manager;

public class CommandManager extends Manager {

  /** Load the manager */
  @Override
  public void load() {
    super.load();
    SR.getInstance().getCommand("attributes").setExecutor(new AttributeCommand());
    SR.getInstance().getCommand("attributes").setTabCompleter(new AttributeCommand());

    SR.getInstance().getCommand("resetadventure").setExecutor(new ResetAdventureCommand());
    SR.getInstance().getCommand("resetadventure").setTabCompleter(new ResetAdventureCommand());
  }
}
